bwsTrendTest {PMCMRplus} | R Documentation

## Testing against Ordered Alternatives (Murakami's BWS Trend Test)

### Description

Performs Murakami's modified Baumgartner-Weiß-Schindler test for testing against ordered alternatives.

### Usage

    bwsTrendTest(x, ...)

    ## Default S3 method:
    bwsTrendTest(x, g, nperm = 1000, ...)

    ## S3 method for class 'formula'
    bwsTrendTest(formula, data, subset, na.action, nperm = 1000, ...)

### Arguments

`x` | a numeric vector of data values, or a list of numeric data vectors.
`...` | further arguments to be passed to or from methods.
`g` | a vector or factor object giving the group for the corresponding elements of `"x"`. Ignored with a warning if `"x"` is a list.
`nperm` | number of permutations for the assymptotic permutation test. Defaults to `1000`.
`formula` | a formula of the form `response ~ group` where `response` gives the data values and `group` a vector or factor of the corresponding groups.
`data` | an optional matrix or data frame (or similar: see `model.frame`) containing the variables in the formula `formula`. By default the variables are taken from `environment(formula)`.
`subset` | an optional vector specifying a subset of observations to be used.
`na.action` | a function which indicates what should happen when the data contain `NA`s. Defaults to `getOption("na.action")`.

### Details

The null hypothesis, H_0: F_1(u) = F_2(u) = … = F_k(u) ~~ u \in R is tested against a simple order hypothesis, H_\mathrm{A}: F_1(u) ≤ F_2(u) ≤ … ≤ F_k(u),~F_1(u) < F_k(u), ~~ u \in R.

The p-values are estimated through an assymptotic boot-strap method using the function `sample`.

### Value

A list with class `"htest"` containing the following components:

method

  a character string indicating what type of test was performed.

data.name

  a character string giving the name(s) of the data.

statistic

  the estimated quantile of the test statistic.

p.value

  the p-value for the test.

parameter

  the parameters of the test statistic, if any.

alternative

  a character string describing the alternative hypothesis.

estimates

  the estimates, if any.

null.value

  the estimate under the null hypothesis, if any.

### Note

One may increase the number of permutations to e.g. `nperm = 10000` in order to get more precise p-values. However, this will be on the expense of computational time.

### References

Baumgartner, W., Weiss, P., Schindler, H. (1998) A nonparametric test for the general two-sample problem, Biometrics 54, 1129–1135.

Murakami, H. (2006) K-sample rank test based on modified Baumgartner statistic and its power comparison, J. Jpn. Comp. Statist. 19, 1–13.

Neuhäuser, M. (2001) One-side two-sample and trend tests based on a modified Baumgartner-Weiss-Schindler statistic. Journal of Nonparametric Statistics 13, 729–739.

### See Also

`sample`, `bwsAllPairsTest`, `bwsManyOneTest`.

`kruskalTest` and `shirleyWilliamsTest` of the package PMCMRplus, `kruskal.test` of the library stats.

### Examples

    ## Example from Sachs (1997, p. 402)
    x <- c(106, 114, 116, 127, 145,
           110, 125, 143, 148, 151,
           136, 139, 149, 160, 174)
    g <- gl(3,5)
    levels(g) <- c("A", "B", "C")

    ## Chacko's test
    chackoTest(x, g)

    ## Cuzick's test
    cuzickTest(x, g)

    ## Johnson-Mehrotra test
    johnsonTest(x, g)

    ## Jonckheere-Terpstra test
    jonckheereTest(x, g)

    ## Le's test
    leTest(x, g)

    ## Spearman type test
    spearmanTest(x, g)

    ## Murakami's BWS trend test
    bwsTrendTest(x, g)

    ## Fligner-Wolfe test
    flignerWolfeTest(x, g)

[Package PMCMRplus version 1.6.1 Index]